# -*- encoding: utf-8 -*-
# stub: gitlab-branch-rename 0.6.0 ruby lib

Gem::Specification.new do |s|
  s.name = "gitlab-branch-rename".freeze
  s.version = "0.6.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "homepage_uri" => "https://gitlab.com/apfritts/gitlab-branch-rename", "source_code_uri" => "https://gitlab.com/apfritts/gitlab-branch-rename" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["AP Fritts".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-07-26"
  s.description = "To support Black Lives Matter and create safer spaces, I wanted to rename all of the default branches in my Gitlab account. I wasn't able to find any tools to do that, so I wrote this one. If you're unsure why this is important or want to better understand why I wanted to make these changes, see this great {Twitter thread}[https://twitter.com/mislav/status/1270388510684598272].".freeze
  s.email = ["ap@apfritts.com".freeze]
  s.executables = ["gitlab-branch-rename".freeze]
  s.files = ["exe/gitlab-branch-rename".freeze]
  s.homepage = "https://gitlab.com/apfritts/gitlab-branch-rename".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Tool to rename your Gitlab project branches en masse".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<colorize>.freeze, ["~> 0.8.1"])
    s.add_runtime_dependency(%q<gitlab>.freeze, ["~> 4.16"])
  else
    s.add_dependency(%q<colorize>.freeze, ["~> 0.8.1"])
    s.add_dependency(%q<gitlab>.freeze, ["~> 4.16"])
  end
end
